# Element Class Reference

An Element represents a chemical element. More...

List of all members.

## Public Member Functions

def | __init__
| Create a new element.
def | getBySymbol
| Get the Element with a particular chemical symbol.
def | getByAtomicNumber
def | getByMass
| Get the element whose mass is CLOSEST to the requested mass.
def | atomic_number
def | name
def | symbol
def | mass
def | __str__
def | __repr__

## Detailed Description

An Element represents a chemical element.

The simtk.openmm.app.element module contains objects for all the standard chemical elements, such as element.hydrogen or element.carbon. You can also call the static method Element.getBySymbol() to look up the Element with a particular chemical symbol.

Element objects should be considered immutable

## Member Function Documentation

def __init__ | ( |  | self,
|  |  | number,
|  |  | name,
|  |  | symbol,
|  |  | mass |
| ) |  |  |

Create a new element.

number (int) The atomic number of the element name (string) The name of the element symbol (string) The chemical symbol of the element mass (float) The atomic mass of the element

def __repr__ | ( |  | self | ) |

def __str__ | ( |  | self | ) |

def atomic_number | ( |  | self | ) |

def getByAtomicNumber | ( |  | atomic_number | ) |

def getByMass | ( |  | mass | ) |

Get the element whose mass is CLOSEST to the requested mass.

This method should not be used for repartitioned masses

def getBySymbol | ( |  | symbol | ) |

Get the Element with a particular chemical symbol.

def mass | ( |  | self | ) |

def name | ( |  | self | ) |

def symbol | ( |  | self | ) |

The documentation for this class was generated from the following file:

- element.py